
/**
 * Schnittstelle für Eingabewerte
 *
 * @author Albert Wiedemann
 * @version 1.0
 */
interface WertEmpfaenger
{
    /**
     * Meldet, ob die Eingabe korrekt ist
     * @param eingabe der Eingabestring
     * @return wahr, wenn der Eingabestring korrektes Format hat
     */
    boolean EingabePrüfen (String eingabe);
    
    /**
     * Übernimmt die Eingabe 
     * pre: die Eingabe wude auf Korrektheit geprüft
     * @param eingabe der Eingabestring
     */
    void WertSetzen (String eingabe);
}
