
/**
 * Beschreibt dei Schnittstelle der Oberfläche zum Kontrolleur
 *
 * @author Albert Wiedemann
 * @version 1.0
 */
interface KontrolleurInterface
{
    /**
     * Setzt die mittlere Wartezeit zwischen 2 Fahrzeugen
     * @param zeit mittlere Wartezeit
     */
    void FahrzeugabstandSetzen(int zeit);

    /**
     * Taktgeber starten
     */
    void Starten();

    /**
     * Taktgeber anhalten
     */
    void Anhalten();
    
    /**
     * Ablaufgeschwindigkeit einstellen
     * @param dauer: Angabe in Millisekunden
     */
    void TaktdauerSetzen(int dauer);
}
