
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
/**
 * Ein einfaches Oberflächenbeispiel
 * 
 * @author Albert Wiedemann 
 * @version 1.0
 */
class Rahmen implements KnopfBeobachter
{
    /** Fenster */
    private JFrame fenster;
    /** Anzeigeelement */
    private Knopf figur1;
    /** Anzeigeelement */
    private DoppelKnopf figur2;

    /**
     * Legt die Oberflächenelemente an
     */
    Rahmen ()
    {
        fenster = new JFrame ("Beispiel 1");
        fenster.setSize (800, 600);
        fenster.setLayout(null);
        
        figur1 = new Knopf(this);
        figur1.setLocation(50, 50);
        figur1.setSize(100, 100);
        figur1.setVisible(true);
        
        figur2 = new DoppelKnopf();
        figur2.setLocation(250, 50);
        figur2.setSize(100, 100);
        figur2.setVisible(true);
        
        fenster.add(figur1);
        fenster.add(figur2);
        fenster.setVisible(true);
    }
    
    /**
     * Aktionsmethode
     */
    public void Ausführen()
    {
        figur1.setLocation(figur1.getLocation().x + 10, figur1.getLocation().y + 10);
    }
}
