
/**
 * Ein Fahrzeugsymbol
 *
 * @author Albert Wiedemann
 * @version 1.0
 */
class FahrzeugSymbol
{
    /** Anzeigegröße für ein Fahrzeug */
    protected int länge;
    protected int breite;

    /** Interna */
    protected String aktFarbe;
    protected int x;
    protected int y;

    /**
     * Standardkonstruktor für Objekte der Klasse FahrzeugSymbol.
     */
    FahrzeugSymbol()
    {
        aktFarbe = "blau";
    }

    /**
     * Setzt die Farbe des Fahrzeugsymbols.
     * @param neueFarbe die neue Farbe des Fahrzeugsymbols
     */
    void FarbeSetzen(String neueFarbe)
    {
        aktFarbe = neueFarbe;
    }

    /**
     * Setzt die Position des Fahrzeugsymbols.
     * Die Koordinaten bezeichnen die linke, obere Ecke des Fahrzeugsymbols.
     * @param x x-Position
     * @param y y-Position
     */
    void PositionSetzen(int x, int y)
    {
        this.x = x;
        this.y = y;
    }

    /**
     * Entfernt das Fahrzeugsymbol aus der Anzeige
     */
    void Entfernen()
    {
    }
}
