
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
/**
 * Ein einfaches Oberflächenbeispiel
 * 
 * @author Albert Wiedemann 
 * @version 1.0
 */
class Beispiel2
{
    /** Fenster */
    private JFrame fenster;
    /** Anzeigeelement für den Ausgabetext */
    private JLabel ausgabeText;
    /** Anzeigeelement für den Eingabetext */
    private JTextField eingabeText;
    /** Knopf für dei Textübernahme */
    private JButton übernehmen;
    /** Hinweistext Vordegrundfarbe */
    private JLabel vordergrundText;
    /** Vordergrundfarbe schwarz */
    private JRadioButton vordergrundSchwarz;
    /** Vordergrundfarbe weiß */
    private JRadioButton vordergrundWeiß;
    /** Vordergrundfarbe rot */
    private JRadioButton vordergrundRot;
    /** Vordergrundfarbe grün */
    private JRadioButton vordergrundGrün;
    /** Vordergrundfarbe blau */
    private JRadioButton vordergrundBlau;
    /** Gruppe der Vordergrundknöpfe */
    private ButtonGroup vordergrund;

    /**
     * Legt die Oberflächenelemente an
     */
    Beispiel2 ()
    {
        fenster = new JFrame ("Beispiel 1");
        fenster.setSize (800, 600);
        fenster.setLayout(null);
        ausgabeText = new JLabel();
        ausgabeText.setLocation(30, 30);
        ausgabeText.setSize(200, 20);
        ausgabeText.setVisible(true);
        ausgabeText.setOpaque(true);
        ausgabeText.setBackground(Color.white);
        ausgabeText.setForeground(Color.red);
        eingabeText = new JTextField();
        eingabeText.setLocation(30, 60);
        eingabeText.setSize(200, 30);
        eingabeText.setVisible(true);
        übernehmen = new JButton("Übernehmen");
        übernehmen.setLocation(30, 100);
        übernehmen.setSize(200, 30);
        übernehmen.setVisible(true);
        übernehmen.setEnabled(true);
        übernehmen.addActionListener(new ActionListener()
        {
            public void actionPerformed (ActionEvent e)
            {
                ausgabeText.setText(eingabeText.getText());
            }
        });
        
        vordergrundText = new JLabel();
        vordergrundText.setLocation(250, 30);
        vordergrundText.setSize(200, 20);
        vordergrundText.setVisible(true);
        vordergrundText.setText("Auswahl Vordergrundfarbe");
        vordergrund = new ButtonGroup();
        vordergrundSchwarz = new JRadioButton();
        vordergrundSchwarz.setLocation(250, 60);
        vordergrundSchwarz.setSize(200, 20);
        vordergrundSchwarz.setVisible(true);
        vordergrundSchwarz.setText("Schwarz");
        vordergrundSchwarz.setEnabled(true);
        vordergrundSchwarz.setSelected(false);
        vordergrundSchwarz.addActionListener(new ActionListener()
        {
            public void actionPerformed (ActionEvent e)
            {
                ausgabeText.setForeground(Color.black);
            }
        });
        vordergrund.add(vordergrundSchwarz);
        vordergrundWeiß = new JRadioButton();
        vordergrundWeiß.setLocation(250, 80);
        vordergrundWeiß.setSize(200, 20);
        vordergrundWeiß.setVisible(true);
        vordergrundWeiß.setText("Weiß");
        vordergrundWeiß.setEnabled(true);
        vordergrundWeiß.setSelected(false);
        vordergrundWeiß.addActionListener(new ActionListener()
        {
            public void actionPerformed (ActionEvent e)
            {
                ausgabeText.setForeground(Color.white);
            }
        });
        vordergrund.add(vordergrundWeiß);
        vordergrundRot = new JRadioButton();
        vordergrundRot.setLocation(250, 100);
        vordergrundRot.setSize(200, 20);
        vordergrundRot.setVisible(true);
        vordergrundRot.setText("Rot");
        vordergrundRot.setEnabled(true);
        vordergrundRot.setSelected(true);
        vordergrundRot.addActionListener(new ActionListener()
        {
            public void actionPerformed (ActionEvent e)
            {
                ausgabeText.setForeground(Color.red);
            }
        });
        vordergrund.add(vordergrundRot);
        vordergrundGrün = new JRadioButton();
        vordergrundGrün.setLocation(250, 120);
        vordergrundGrün.setSize(200, 20);
        vordergrundGrün.setVisible(true);
        vordergrundGrün.setText("Grün");
        vordergrundGrün.setEnabled(true);
        vordergrundGrün.setSelected(false);
        vordergrundGrün.addActionListener(new ActionListener()
        {
            public void actionPerformed (ActionEvent e)
            {
                ausgabeText.setForeground(Color.green);
            }
        });
        vordergrund.add(vordergrundGrün);
        vordergrundBlau = new JRadioButton();
        vordergrundBlau.setLocation(250, 140);
        vordergrundBlau.setSize(200, 20);
        vordergrundBlau.setVisible(true);
        vordergrundBlau.setText("Blau");
        vordergrundBlau.setEnabled(true);
        vordergrundBlau.setSelected(false);
        vordergrundBlau.addActionListener(new ActionListener()
        {
            public void actionPerformed (ActionEvent e)
            {
                ausgabeText.setForeground(Color.blue);
            }
        });
        vordergrund.add(vordergrundBlau);
        

        fenster.add(ausgabeText);
        fenster.add(eingabeText);
        fenster.add(übernehmen);
        fenster.add(vordergrundText);
        fenster.add(vordergrundSchwarz);
        fenster.add(vordergrundWeiß);
        fenster.add(vordergrundRot);
        fenster.add(vordergrundGrün);
        fenster.add(vordergrundBlau);
        fenster.setVisible(true);
    }
}
