
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
/**
 * Ein einfaches Oberflächenbeispiel
 * 
 * @author Albert Wiedemann 
 * @version 1.0
 */
class Beispiel1
{
    /** Fenster */
    private JFrame fenster;
    /** Anzeigeelement für den Ausgabetext */
    private JLabel ausgabeText;
    /** Anzeigeelement für den Eingabetext */
    private JTextField eingabeText;
    /** Knopf für dei Textübernahme */
    private JButton übernehmen;

    /**
     * Legt die Oberflächenelemente an
     */
    Beispiel1 ()
    {
        fenster = new JFrame ("Beispiel 1");
        fenster.setSize (800, 600);
        fenster.setLayout(null);
        ausgabeText = new JLabel();
        ausgabeText.setLocation(30, 30);
        ausgabeText.setSize(200, 20);
        ausgabeText.setVisible(true);
        ausgabeText.setOpaque(true);
        ausgabeText.setBackground(Color.white);
        ausgabeText.setForeground(Color.red);
        eingabeText = new JTextField();
        eingabeText.setLocation(30, 60);
        eingabeText.setSize(200, 30);
        eingabeText.setVisible(true);
        übernehmen = new JButton("Übernehmen");
        übernehmen.setLocation(30, 100);
        übernehmen.setSize(200, 30);
        übernehmen.setVisible(true);
        übernehmen.setEnabled(true);
        übernehmen.addActionListener(new ActionListener()
        {
            public void actionPerformed (ActionEvent e)
            {
                ausgabeText.setText(eingabeText.getText());
            }
        });
        
        fenster.add(ausgabeText);
        fenster.add(eingabeText);
        fenster.add(übernehmen);
        fenster.setVisible(true);
    }
}
